Package fr.gouv.vitam.common

# Class VitamConfiguration

java.lang.Object
fr.gouv.vitam.common.VitamConfiguration

public class VitamConfiguration extends Object
This class contains default values shared among all services in Vitam

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADMIN_PATH`
  General Admin path
  `static final String`
  `ADMIN_TENANT_URL`
  path for admintenant
  `static final String`
  `AUTOTEST_URL`
  General admin auto test path
  `static final String`
  `DIP_EXPORT_URL`
  path for exporting DIP
  `static final String`
  `LOGIN_URL`
  login path
  `static final String`
  `LOGOUT_URL`
  logout path
  `static final String`
  `MESSAGES_LOGBOOK_URL`
  path for messages/logbook
  `static final String`
  `METRIC_URL`
  General metric path
  `static final String`
  `OBJECT_DOWNLOAD_URL`
  path for download object data
  `static final String`
  `PERMISSIONS_URL`
  path for permissions
  `static final String`
  `SECURE_MODE_URL`
  path for securemode
  `static final String`
  `STATUS_URL`
  General status path
  `static final String`
  `TENANTS_URL`
  General tenants path
  `static final String`
  `VERSION_URL`
  General admin version path
  `protected static final String`
  `VITAM_CONFIG_PROPERTY`
  Property Vitam Config Folder
  `protected static final String`
  `VITAM_DATA_PROPERTY`
  Property Vitam Data Folder
  `protected static final String`
  `VITAM_LOG_PROPERTY`
  Property Vitam Log Folder
  `protected static final String`
  `VITAM_TMP_PROPERTY`
  Property Vitam Tmp Folder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getAcceptableRequestTime()`
  `static Integer`
  `getAdminTenant()`
  Getter for admin Tenant
  `static Integer`
  `getAsyncWorkspaceQueueSize()`
  `static int`
  `getBatchSize()`
  Get the batchSize.
  `static BinarySizePlatformThreshold`
  `getBinarySizePlatformThreshold()`
  `static List<BinarySizeTenantThreshold>`
  `getBinarySizeTenantThreshold()`
  `static Integer`
  `getBufferNumber()`
  getter for bufferNumber
  `static int`
  `getBulkAtomicUpdateBatchSize()`
  `static int`
  `getBulkAtomicUpdateThreadPoolQueueSize()`
  `static int`
  `getBulkAtomicUpdateThreadPoolSize()`
  `static int`
  `getCacheControlDelay()`
  Getter for cacheControlDelay;
  `static Integer`
  `getChunkSize()`
  `static ClassificationLevel`
  `getClassificationLevel()`
  `static long`
  `getComputedInheritedRulesThreshold()`
  `String`
  `getConfig()`
  Get Config directory
  `static VitamConfiguration`
  `getConfiguration()`
  `static Integer`
  `getConnectTimeout()`
  `static int`
  `getCriticalRequestTime()`
  `String`
  `getData()`
  Get Data directory
  `static DigestType`
  `getDefaultDigestType()`
  `static String`
  `getDefaultLang()`
  getter for DEFAULT_LANG
  `static int`
  `getDefaultOffset()`
  Get defaultOffset
  `static String`
  `getDefaultOriginatingAgencyForExport(Integer tenant)`
  Getter for default OriginatingAgency for DIP export OriginatingAgency conflict
  `static String`
  `getDefaultStrategy()`
  `static DigestType`
  `getDefaultTimestampDigestType()`
  `static Integer`
  `getDelayGetClient()`
  `static Integer`
  `getDelayMultipleInputstream()`
  getter for delayMultipleInputstream
  `static Integer`
  `getDelayMultipleSubinputstream()`
  getter for delayMultipleSubinputstream
  `static Integer`
  `getDelayValidationAfterInactivity()`
  `static int`
  `getDeleteIncompleteReconstructedUnitDelay()`
  Get the delay of deleting incomplete reconstructed units
  `static short`
  `getDiffVersion()`
  `static int`
  `getDistributeurBatchSize()`
  Getter for distributeurBatchSize;
  `static long`
  `getDistributionThreshold()`
  Getter for distributionThreshold;
  `static Integer`
  `getElasticSearchScrollLimit()`
  `static Integer`
  `getElasticSearchScrollTimeoutInMilliseconds()`
  `static Integer`
  `getElasticSearchTimeoutWaitRequestInMilliseconds()`
  `static long`
  `getEliminationActionThreshold()`
  `static long`
  `getEliminationAnalysisThreshold()`
  `static Map<Integer,List<String>>`
  `getEliminationReportExtraFields()`
  `static String`
  `getEnvironmentName()`
  Get environmentName
  `static int`
  `getExpireCacheEntriesDelay()`
  Setter for expireCacheEntriesDelay
  `static int`
  `getHttpClientFirstAttemptWaitingTime()`
  `static int`
  `getHttpClientRandomWaitingSleep()`
  `static int`
  `getHttpClientRetry()`
  `static int`
  `getHttpClientWaitingTime()`
  `static List<String>`
  `getIndexInheritedRulesWithAPIV2OutputByTenant()`
  `static List<String>`
  `getIndexInheritedRulesWithRulesIdByTenant()`
  `static Map<Integer,List<EnumObjectWhiteListedFields>>`
  `getIngestReportObjectExtraFields()`
  `static Map<Integer,List<EnumUnitWhiteListedFields>>`
  `getIngestReportUnitExtraFields()`
  `static Integer`
  `getIntervalDelayCheckIdle()`
  `static int`
  `getIntervalDelayLogInProgressWorker()`
  Getter
  `static int`
  `getKeywordMaxLength()`
  Getter
  `String`
  `getLog()`
  Get Log directory
  `static int`
  `getMaxCacheEntries()`
  Getter for maxCacheEntries;
  `static Integer`
  `getMaxClientPerHost()`
  `static Integer`
  `getMaxConcurrentMultipleInputstreamHandler()`
  getter for maxConcurrentMultipleInputstreamHandler
  `static Integer`
  `getMaxDelayUnusedConnection()`
  `static int`
  `getMaxElasticsearchBulk()`
  Getter for maxElasticsearchBulk;
  `static int`
  `getMaxResultWindow()`
  Get the maxResultWindow
  `static Integer`
  `getMaxTotalClient()`
  `static int`
  `getMigrationBulkSize()`
  Get migrationBulkSize
  `static Integer`
  `getMinimumThreadPoolSize()`
  getter for minimumThreadPoolSize
  `static Integer`
  `getNoValidationAfterInactivity()`
  getter for noValidationAfterInactivity
  `static int`
  `getNumberDbClientThread()`
  Getter for numberDbClientThread;
  `static Integer`
  `getNumberEsQueue()`
  Getter for numberEsQueue;
  `static int`
  `getOntologyCacheMaxEntries()`
  `static int`
  `getOntologyCacheTimeoutInSeconds()`
  `static long`
  `getOperationMaxSizeForExternal()`
  `static int`
  `getOptimisticLockRetryNumber()`
  Get optimistic lock retry number
  `static int`
  `getOptimisticLockSleepTime()`
  Get optimistic lock sleep time
  `static int`
  `getProcessEngineWaitForStepTimeout()`
  `static long`
  `getQueriesThreshold()`
  Getter for queriesThreshold;
  `static Integer`
  `getReadTimeout()`
  `static int`
  `getReclassificationMaxBulkThreshold()`
  Max dsl queries per reclassification request
  `static int`
  `getReclassificationMaxGuildListSizeInLogbookOperation()`
  Max guid to store in logbook operation in evDetData
  `static int`
  `getReclassificationMaxUnitsThreshold()`
  Max units to update per reclassification request
  `static Integer`
  `getRecvBufferSize()`
  `static int`
  `getRequestTimeAlertThrottlingDelay()`
  `static int`
  `getRestoreBulkSize()`
  Getter restore bulk size
  `static Integer`
  `getRetryDelay()`
  `static Integer`
  `getRetryNumber()`
  `static String`
  `getSecret()`
  `static DigestType`
  `getSecurityDigestType()`
  `static long`
  `getShutdownTimeout()`
  `static int`
  `getStoreGraphElementsPerFile()`
  Get the store graph elements per file
  `static Integer`
  `getStoreGraphOverlapDelay()`
  Get store graph overlap delay
  `static long`
  `getSwiftFileLimit()`
  `static List<Integer>`
  `getTenants()`
  Getter for list of tenant
  `static int`
  `getTextContentMaxLength()`
  `static int`
  `getTextMaxLength()`
  Getter
  `String`
  `getTmp()`
  Get Tmp directory
  `static Integer`
  `getVitamCleanPeriod()`
  getter for vitamTmpFolderDefault
  `static String`
  `getVitamConfigFolder()`
  `static String`
  `getVitamConfigFolderDefault()`
  getter for vitamConfigFolderDefault
  `static String`
  `getVitamConfigProperty()`
  getter for VITAM_CONFIG_PROPERTY
  `static String`
  `getVitamDataFolder()`
  `static String`
  `getVitamDataFolderDefault()`
  getter for vitamDataFolderDefault
  `static String`
  `getVitamDataProperty()`
  getter for VITAM_DATA_PROPERTY
  `static Map<String,String>`
  `getVitamDefaultCodeListVersion()`
  `static String`
  `getVitamDefaultTransferringAgency()`
  `static String`
  `getVitamGriffinExecFolder()`
  `static String`
  `getVitamGriffinInputFilesFolder()`
  `static String`
  `getVitamLogFolder()`
  `static String`
  `getVitamLogFolderDefault()`
  getter for vitamLogFolderDefault
  `static String`
  `getVitamLogProperty()`
  getter for VITAM_LOG_PROPERTY
  `static String`
  `getVitamTmpFolder()`
  `static String`
  `getVitamTmpFolderDefault()`
  getter for vitamTmpFolderDefault
  `static String`
  `getVitamTmpProperty()`
  getter for VITAM_TMP_PROPERTY
  `static Integer`
  `getWaitingDelay()`
  `static int`
  `getWorkerBulkSize()`
  Getter for worker bulk size
  `static int`
  `getWorkspaceFreespaceThreshold()`
  `static String`
  `getWorkspaceWorkflowsFolder()`
  `static void`
  `importConfigurationParameters(VitamConfigurationParameters parameters)`
  import not null parameters configuration from VitamConfigurationParameters
  `static Boolean`
  `isAllowGzipDecoding()`
  getter for allowGzipDecoding
  `static Boolean`
  `isAllowGzipEncoding()`
  getter for allowGzipEncoding
  `static boolean`
  `isExportScore()`
  Getter for exportScore;
  `static Boolean`
  `isFilterActivation()`
  `static Boolean`
  `isForceChunkModeInputStream()`
  getter for forceChunkModeInputStream
  `static boolean`
  `isIgnoreAntivirusCheckForWorker()`
  `static boolean`
  `isIntegrationTest()`
  `static boolean`
  `isPurgeTemporaryLFC()`
  `static Boolean`
  `isUseNewJaxrClient()`
  `static void`
  `reinit()`
  `static void`
  `setAdminTenant(Integer adminTenant)`
  Setter for admin Tenant
  `static void`
  `setAsyncWorkspaceQueueSize(int queueSize)`
  set the size of the queue of async workspace
  `static void`
  `setBatchSize(int batchSize)`
  Set the batchSize.
  `static void`
  `setBinarySizePlatformThreshold(BinarySizePlatformThreshold binarySizePlatformThreshold)`
  `static void`
  `setBinarySizeTenantThreshold(List<BinarySizeTenantThreshold> binarySizeTenantThreshold)`
  `static void`
  `setBulkAtomicUpdateBatchSize(int bulkAtomicUpdateBatchSize)`
  `static void`
  `setBulkAtomicUpdateThreadPoolQueueSize(int bulkAtomicUpdateThreadPoolQueueSize)`
  `static void`
  `setBulkAtomicUpdateThreadPoolSize(int bulkAtomicUpdateThreadPoolSize)`
  `static void`
  `setCacheControlDelay(int cacheControlDelay)`
  Setter for cacheControlDelay;
  `static void`
  `setClassificationLevel(ClassificationLevel classificationLevel)`
  `static void`
  `setComputedInheritedRulesThreshold(long computedInheritedRulesThreshold)`
  `VitamConfiguration`
  `setConfig(String config)`
  Set Config directory
  `static void`
  `setConnectTimeout(int timeout)`
  Junit facility
  `VitamConfiguration`
  `setData(String data)`
  Set Data directory
  `static void`
  `setDefaultLang(String defaultLang)`
  setter for DEFAULT_LANG
  `static void`
  `setDefaultOriginatingAgencyByTenant(Map<Integer,String> defaultOriginatingAgencyForExport)`
  Setter for default OriginatingAgency for DIP export OriginatingAgency conflict
  `static void`
  `setDelayMultipleInputstream(int delayMultipleInputstream)`
  setter for delayMultipleSubinputstream
  `static void`
  `setDeleteIncompleteReconstructedUnitDelay(int deleteIncompleteReconstructedUnitDelay)`
  Set the delay of deleting incomplete reconstructed units
  `static void`
  `setDistributeurBatchSize(int distributeurBatchSize)`
  Setter for distributeurBatchSize;
  `static void`
  `setDistributionThreshold(long distributionThreshold)`
  Setter for distributionThreshold;
  `static void`
  `setElasticSearchScrollLimit(Integer elasticSearchScrollLimit)`
  `static void`
  `setElasticSearchScrollTimeoutInMilliseconds(Integer elasticSearchScrollTimeoutInMilliseconds)`
  `static void`
  `setElasticSearchTimeoutWaitRequestInMilliseconds(Integer elasticSearchTimeoutWaitRequestInMilliseconds)`
  `static void`
  `setEliminationActionThreshold(long eliminationActionThreshold)`
  `static void`
  `setEliminationAnalysisThreshold(long eliminationAnalysisThreshold)`
  `static void`
  `setEliminationReportExtraFields(Map<Integer,List<String>> eliminationReportExtraFields)`
  `static void`
  `setEnvironmentName(String environmentName)`
  set the environmentName
  `static void`
  `setExpireCacheEntriesDelay(int expireCacheEntriesDelay)`
  Getter for expireCacheEntriesDelay
  `static void`
  `setFilterActivation(Boolean filterActivationValue)`
  `static void`
  `setHttpClientFirstAttemptWaitingTime(int httpClientFirstAttemptWaitingTime)`
  `static void`
  `setHttpClientRandomWaitingSleep(int httpClientRandomWaitingSleep)`
  `static void`
  `setHttpClientRetry(int httpClientRetry)`
  `static void`
  `setHttpClientWaitingTime(int httpClientWaitingTime)`
  `static void`
  `setIgnoreAntivirusCheckForWorker(boolean ignoreAntivirusCheckForWorker)`
  `static void`
  `setIndexInheritedRulesWithAPIV2OutputByTenant(List<String> indexInheritedRulesWithAPIV2OutputByTenant)`
  `static void`
  `setIndexInheritedRulesWithRulesIdByTenant(List<String> indexInheritedRulesWithRulesIdByTenant)`
  `static void`
  `setIngestReportObjectExtraFields(Map<Integer,List<EnumObjectWhiteListedFields>> ingestReportObjectExtraFields)`
  `static void`
  `setIngestReportUnitExtraFields(Map<Integer,List<EnumUnitWhiteListedFields>> ingestReportUnitExtraFields)`
  `static void`
  `setIntegrationTest(boolean value)`
  setIntegrationTest
  `static void`
  `setIntervalDelayLogInProgressWorker(int intervalDelayLogInProgressWorker)`
  Setter
  `static void`
  `setKeywordMaxLength(int keywordMaxLength)`
  Setter
  `VitamConfiguration`
  `setLog(String log)`
  Set Log directory
  `static void`
  `setMaxCacheEntries(int maxCacheEntries)`
  Setter for maxCacheEntries;
  `static void`
  `setMaxResultWindow(int maxResultWindow)`
  Set the maxResultWindow
  `static void`
  `setMigrationBulkSize(int migrationBulkSize)`
  Set the migrationBulkSize
  `static void`
  `setOntologyCacheMaxEntries(int ontologyCacheMaxEntries)`
  `static void`
  `setOntologyCacheTimeoutInSeconds(int ontologyCacheTimeoutInSeconds)`
  `static void`
  `setOperationMaxSizeForExternal(long operationMaxSizeForExternal)`
  `static void`
  `setOptimisticLockRetryNumber(int optimisticLockRetryNumber)`
  Set optimistic lock retry number
  `static void`
  `setOptimisticLockSleepTime(int optimisticLockSleepTime)`
  Set optimistic lock sleep time
  `static void`
  `setProcessEngineWaitForStepTimeout(int processEngineWaitForStepTimeout)`
  `static void`
  `setPurgeTemporaryLFC(boolean purgeTemporaryLFC)`
  `static void`
  `setQueriesThreshold(long queriesThreshold)`
  Setter for queriesThreshold;
  `static void`
  `setReclassificationMaxBulkThreshold(int reclassificationMaxBulkThreshold)`
  Max dsl queries per reclassification request
  `static void`
  `setReclassificationMaxGuildListSizeInLogbookOperation(int reclassificationMaxGuildListSizeInLogbookOperation)`
  Max guid to store in logbook operation in evDetData
  `static void`
  `setReclassificationMaxUnitsThreshold(int reclassificationMaxUnitsThreshold)`
  Max units to update per reclassification request
  `static void`
  `setRequestTimeAlertThrottlingDelay(int requestTimeAlertThrottlingDelay)`
  `static void`
  `setRestoreBulkSize(int restoreBulkSize)`
  Setter restore bulk size
  `static void`
  `setSecret(String secretValue)`
  `static void`
  `setStoreGraphElementsPerFile(Integer storeGraphElementsPerFile)`
  Set store graph elements per file
  `static void`
  `setStoreGraphOverlapDelay(Integer storeGraphOverlapDelay)`
  Set store graph overlap delay
  `static void`
  `setTenants(List<Integer> tenants)`
  `static void`
  `setTextContentMaxLength(int textContentMaxLength)`
  `static void`
  `setTextMaxLength(int textMaxLength)`
  Setter
  `VitamConfiguration`
  `setTmp(String tmp)`
  Set Tmp directory
  `static void`
  `setVitamDefaultCodeListVersion(Map<String,String> vitamDefaultCodeListVersion)`
  `static void`
  `setVitamDefaultTransferringAgency(String vitamDefaultTransferringAgency)`
  `static void`
  `setVitamGriffinExecFolder(String vitamGriffinExecFolder)`
  `static void`
  `setVitamGriffinInputFilesFolder(String vitamGriffinInputFilesFolder)`
  `static void`
  `setWorkerBulkSize(int workerBulkSize)`
  Setter worker bulk size
  `static void`
  `setWorkspaceFreespaceThreshold(int workspaceFreespaceThreshold)`
  `static void`
  `setWorkspaceWorkflowsFolder(String workspaceWorkflowsFolder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADMIN_PATH

    public static final String ADMIN_PATH
    General Admin path
    See Also:
      - Constant Field Values

  - ### AUTOTEST_URL

    public static final String AUTOTEST_URL
    General admin auto test path
    See Also:
      - Constant Field Values

  - ### VERSION_URL

    public static final String VERSION_URL
    General admin version path
    See Also:
      - Constant Field Values

  - ### METRIC_URL

    public static final String METRIC_URL
    General metric path
    See Also:
      - Constant Field Values

  - ### STATUS_URL

    public static final String STATUS_URL
    General status path
    See Also:
      - Constant Field Values

  - ### TENANTS_URL

    public static final String TENANTS_URL
    General tenants path
    See Also:
      - Constant Field Values

  - ### LOGIN_URL

    public static final String LOGIN_URL
    login path
    See Also:
      - Constant Field Values

  - ### LOGOUT_URL

    public static final String LOGOUT_URL
    logout path
    See Also:
      - Constant Field Values

  - ### MESSAGES_LOGBOOK_URL

    public static final String MESSAGES_LOGBOOK_URL
    path for messages/logbook
    See Also:
      - Constant Field Values

  - ### OBJECT_DOWNLOAD_URL

    public static final String OBJECT_DOWNLOAD_URL
    path for download object data
    See Also:
      - Constant Field Values

  - ### DIP_EXPORT_URL

    public static final String DIP_EXPORT_URL
    path for exporting DIP
    See Also:
      - Constant Field Values

  - ### SECURE_MODE_URL

    public static final String SECURE_MODE_URL
    path for securemode
    See Also:
      - Constant Field Values

  - ### ADMIN_TENANT_URL

    public static final String ADMIN_TENANT_URL
    path for admintenant
    See Also:
      - Constant Field Values

  - ### PERMISSIONS_URL

    public static final String PERMISSIONS_URL
    path for permissions
    See Also:
      - Constant Field Values

  - ### VITAM_CONFIG_PROPERTY

    protected static final String VITAM_CONFIG_PROPERTY
    Property Vitam Config Folder
    See Also:
      - Constant Field Values

  - ### VITAM_DATA_PROPERTY

    protected static final String VITAM_DATA_PROPERTY
    Property Vitam Data Folder
    See Also:
      - Constant Field Values

  - ### VITAM_LOG_PROPERTY

    protected static final String VITAM_LOG_PROPERTY
    Property Vitam Log Folder
    See Also:
      - Constant Field Values

  - ### VITAM_TMP_PROPERTY

    protected static final String VITAM_TMP_PROPERTY
    Property Vitam Tmp Folder
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getConfiguration

    public static VitamConfiguration getConfiguration()
    Returns:
      the default Vitam Configuration

  - ### getAdminTenant

    public static Integer getAdminTenant()
    Getter for admin Tenant
    Returns:
      adminTenant

  - ### setAdminTenant

    public static void setAdminTenant(Integer adminTenant)
    Setter for admin Tenant
    Parameters:
      `adminTenant` -

  - ### getTenants

    public static List<Integer> getTenants()
    Getter for list of tenant
    Returns:
      tenant list

  - ### setTenants

    public static void setTenants(List<Integer> tenants)
    Parameters:
      `tenants` -

  - ### isPurgeTemporaryLFC

    public static boolean isPurgeTemporaryLFC()

  - ### setPurgeTemporaryLFC

    public static void setPurgeTemporaryLFC(boolean purgeTemporaryLFC)

  - ### getIntervalDelayLogInProgressWorker

    public static int getIntervalDelayLogInProgressWorker()
    Getter
    Returns:
      intervalDelayLogInProgressWorker

  - ### setIntervalDelayLogInProgressWorker

    public static void setIntervalDelayLogInProgressWorker(int intervalDelayLogInProgressWorker)
    Setter
    Parameters:
      `intervalDelayLogInProgressWorker` -

  - ### getOntologyCacheMaxEntries

    public static int getOntologyCacheMaxEntries()

  - ### setOntologyCacheMaxEntries

    public static void setOntologyCacheMaxEntries(int ontologyCacheMaxEntries)

  - ### getOntologyCacheTimeoutInSeconds

    public static int getOntologyCacheTimeoutInSeconds()

  - ### setOntologyCacheTimeoutInSeconds

    public static void setOntologyCacheTimeoutInSeconds(int ontologyCacheTimeoutInSeconds)

  - ### getHttpClientRetry

    public static int getHttpClientRetry()

  - ### setHttpClientRetry

    public static void setHttpClientRetry(int httpClientRetry)

  - ### getHttpClientFirstAttemptWaitingTime

    public static int getHttpClientFirstAttemptWaitingTime()

  - ### setHttpClientFirstAttemptWaitingTime

    public static void setHttpClientFirstAttemptWaitingTime(int httpClientFirstAttemptWaitingTime)

  - ### getHttpClientWaitingTime

    public static int getHttpClientWaitingTime()

  - ### setHttpClientWaitingTime

    public static void setHttpClientWaitingTime(int httpClientWaitingTime)

  - ### getHttpClientRandomWaitingSleep

    public static int getHttpClientRandomWaitingSleep()

  - ### setHttpClientRandomWaitingSleep

    public static void setHttpClientRandomWaitingSleep(int httpClientRandomWaitingSleep)

  - ### getTextContentMaxLength

    public static int getTextContentMaxLength()

  - ### setTextContentMaxLength

    public static void setTextContentMaxLength(int textContentMaxLength)

  - ### getProcessEngineWaitForStepTimeout

    public static int getProcessEngineWaitForStepTimeout()

  - ### setProcessEngineWaitForStepTimeout

    public static void setProcessEngineWaitForStepTimeout(int processEngineWaitForStepTimeout)

  - ### getWorkspaceFreespaceThreshold

    public static int getWorkspaceFreespaceThreshold()

  - ### setWorkspaceFreespaceThreshold

    public static void setWorkspaceFreespaceThreshold(int workspaceFreespaceThreshold)

  - ### getConfig

    public String getConfig()
    Get Config directory
    Returns:
      the Config directory

  - ### setConfig

    public VitamConfiguration setConfig(String config)
    Set Config directory
    Parameters:
      `config` - the config directory
    Returns:
      this

  - ### getLog

    public String getLog()
    Get Log directory
    Returns:
      the Log directory

  - ### setLog

    public VitamConfiguration setLog(String log)
    Set Log directory
    Parameters:
      `log` - the Log directory
    Returns:
      this

  - ### getData

    public String getData()
    Get Data directory
    Returns:
      the Data directory

  - ### setData

    public VitamConfiguration setData(String data)
    Set Data directory
    Parameters:
      `data` - the Data directory
    Returns:
      this

  - ### getTmp

    public String getTmp()
    Get Tmp directory
    Returns:
      the Tmp directory

  - ### setTmp

    public VitamConfiguration setTmp(String tmp)
    Set Tmp directory
    Parameters:
      `tmp` - tmp the Tmp directory
    Returns:
      this

  - ### importConfigurationParameters

    public static void importConfigurationParameters(VitamConfigurationParameters parameters)
    import not null parameters configuration from VitamConfigurationParameters
    Parameters:
      `parameters` -

  - ### reinit

    public static void reinit()

  - ### getVitamTmpFolder

    public static String getVitamTmpFolder()
    Returns:
      the VitamTmpFolder path

  - ### getVitamLogFolder

    public static String getVitamLogFolder()
    Returns:
      the VitamLogFolder path

  - ### getVitamDataFolder

    public static String getVitamDataFolder()
    Returns:
      the VitamDataFolder path

  - ### getVitamConfigFolder

    public static String getVitamConfigFolder()
    Returns:
      the VitamConfigFolder path

  - ### getChunkSize

    public static Integer getChunkSize()
    Returns:
      the default chunk size

  - ### getConnectTimeout

    public static Integer getConnectTimeout()
    Returns:
      the default connect timeout

  - ### setConnectTimeout

    public static void setConnectTimeout(int timeout)
    Junit facility
    Parameters:
      `timeout` - to set

  - ### getReadTimeout

    public static Integer getReadTimeout()
    Returns:
      the default read timeout

  - ### getShutdownTimeout

    public static long getShutdownTimeout()
    Returns:
      the default read timeout

  - ### getDefaultStrategy

    public static String getDefaultStrategy()
    Returns:
      the default strategy

  - ### getMaxTotalClient

    public static Integer getMaxTotalClient()
    Returns:
      the maxTotalClient

  - ### getMaxClientPerHost

    public static Integer getMaxClientPerHost()
    Returns:
      the maxClientPerHost

  - ### getDelayValidationAfterInactivity

    public static Integer getDelayValidationAfterInactivity()
    Returns:
      the delayValidationAfterInactivity

  - ### getDelayGetClient

    public static Integer getDelayGetClient()
    Returns:
      the delayGetClient

  - ### getIntervalDelayCheckIdle

    public static Integer getIntervalDelayCheckIdle()
    Returns:
      the intervalDelayCheckIdle

  - ### getMaxDelayUnusedConnection

    public static Integer getMaxDelayUnusedConnection()
    Returns:
      the maxDelayUnusedConnection

  - ### getSecret

    public static String getSecret()
    Returns:
      the secret

  - ### setSecret

    public static void setSecret(String secretValue)
    Parameters:
      `secretValue` - the secret to set

  - ### isFilterActivation

    public static Boolean isFilterActivation()
    Returns:
      the filterActivation

  - ### setFilterActivation

    public static void setFilterActivation(Boolean filterActivationValue)
    Parameters:
      `filterActivationValue` - the filterActivation to set

  - ### getAcceptableRequestTime

    public static int getAcceptableRequestTime()
    Returns:
      the acceptableRequestTime

  - ### getCriticalRequestTime

    public static int getCriticalRequestTime()
    Returns:
      the criticalRequestTime

  - ### getRequestTimeAlertThrottlingDelay

    public static int getRequestTimeAlertThrottlingDelay()

  - ### getSecurityDigestType

    public static DigestType getSecurityDigestType()
    Returns:
      the securityDigestType

  - ### getDefaultDigestType

    public static DigestType getDefaultDigestType()
    Returns:
      the Default DigestType

  - ### getDefaultTimestampDigestType

    public static DigestType getDefaultTimestampDigestType()
    Returns:
      the Default DigestType for time stamp generation

  - ### getRetryNumber

    public static Integer getRetryNumber()
    Returns:
      the retryNumber

  - ### getRetryDelay

    public static Integer getRetryDelay()
    Returns:
      the retryDelay

  - ### getWaitingDelay

    public static Integer getWaitingDelay()
    Returns:
      the waiting Delay (wait)

  - ### getAsyncWorkspaceQueueSize

    public static Integer getAsyncWorkspaceQueueSize()
    Returns:
      the size of the queue of async workspace

  - ### getRecvBufferSize

    public static Integer getRecvBufferSize()
    Returns:
      the receive Buffer Size

  - ### isUseNewJaxrClient

    public static Boolean isUseNewJaxrClient()
    Returns:
      the use New Jaxr Client each time a getClient() from Factory is used

  - ### isIntegrationTest

    public static boolean isIntegrationTest()
    Returns:
      true if is integration Test

  - ### setIntegrationTest

    public static void setIntegrationTest(boolean value)
    setIntegrationTest
    Parameters:
      `value` -

  - ### getVitamConfigProperty

    public static String getVitamConfigProperty()
    getter for VITAM_CONFIG_PROPERTY
    Returns:
      vitam config property

  - ### getVitamDataProperty

    public static String getVitamDataProperty()
    getter for VITAM_DATA_PROPERTY
    Returns:
      VITAM_DATA_PROPERTY

  - ### getVitamLogProperty

    public static String getVitamLogProperty()
    getter for VITAM_LOG_PROPERTY
    Returns:
      VITAM_LOG_PROPERTY

  - ### getVitamTmpProperty

    public static String getVitamTmpProperty()
    getter for VITAM_TMP_PROPERTY
    Returns:
      VITAM_TMP_PROPERTY

  - ### getVitamConfigFolderDefault

    public static String getVitamConfigFolderDefault()
    getter for vitamConfigFolderDefault
    Returns:
      vitamConfigFolderDefault

  - ### getVitamDataFolderDefault

    public static String getVitamDataFolderDefault()
    getter for vitamDataFolderDefault
    Returns:
      vitamDataFolderDefault

  - ### getVitamLogFolderDefault

    public static String getVitamLogFolderDefault()
    getter for vitamLogFolderDefault
    Returns:
      vitamLogFolderDefault

  - ### getVitamCleanPeriod

    public static Integer getVitamCleanPeriod()
    getter for vitamTmpFolderDefault
    Returns:
      vitamCleanPeriod

  - ### getVitamTmpFolderDefault

    public static String getVitamTmpFolderDefault()
    getter for vitamTmpFolderDefault
    Returns:
      vitamTmpFolderDefault

  - ### setAsyncWorkspaceQueueSize

    public static void setAsyncWorkspaceQueueSize(int queueSize)
    set the size of the queue of async workspace
    Parameters:
      `queueSize` -

  - ### getDelayMultipleInputstream

    public static Integer getDelayMultipleInputstream()
    getter for delayMultipleInputstream
    Returns:
      delayMultipleInputstream

  - ### setDelayMultipleInputstream

    public static void setDelayMultipleInputstream(int delayMultipleInputstream)
    setter for delayMultipleSubinputstream
    Parameters:
      `delayMultipleInputstream` -

  - ### getDelayMultipleSubinputstream

    public static Integer getDelayMultipleSubinputstream()
    getter for delayMultipleSubinputstream
    Returns:
      delayMultipleSubinputstream

  - ### getMinimumThreadPoolSize

    public static Integer getMinimumThreadPoolSize()
    getter for minimumThreadPoolSize
    Returns:
      minimumThreadPoolSize

  - ### getNoValidationAfterInactivity

    public static Integer getNoValidationAfterInactivity()
    getter for noValidationAfterInactivity
    Returns:
      noValidationAfterInactivity

  - ### setRequestTimeAlertThrottlingDelay

    public static void setRequestTimeAlertThrottlingDelay(int requestTimeAlertThrottlingDelay)

  - ### isAllowGzipEncoding

    public static Boolean isAllowGzipEncoding()
    getter for allowGzipEncoding
    Returns:
      allowGzipEncoding

  - ### isForceChunkModeInputStream

    public static Boolean isForceChunkModeInputStream()
    getter for forceChunkModeInputStream
    Returns:
      forceChunkModeInputStream

  - ### isAllowGzipDecoding

    public static Boolean isAllowGzipDecoding()
    getter for allowGzipDecoding
    Returns:
      allowGzipDecoding

  - ### getBufferNumber

    public static Integer getBufferNumber()
    getter for bufferNumber
    Returns:
      bufferNumber

  - ### getMaxConcurrentMultipleInputstreamHandler

    public static Integer getMaxConcurrentMultipleInputstreamHandler()
    getter for maxConcurrentMultipleInputstreamHandler
    Returns:
      maxConcurrentMultipleInputstreamHandler

  - ### getDefaultLang

    public static String getDefaultLang()
    getter for DEFAULT_LANG
    Returns:
      DEFAULT_LANG

  - ### setDefaultLang

    public static void setDefaultLang(String defaultLang)
    setter for DEFAULT_LANG
    Parameters:
      `defaultLang` -

  - ### getDistributeurBatchSize

    public static int getDistributeurBatchSize()
    Getter for distributeurBatchSize;
    Returns:
      distributeurBatchSize

  - ### setDistributeurBatchSize

    public static void setDistributeurBatchSize(int distributeurBatchSize)
    Setter for distributeurBatchSize;
    Parameters:
      `distributeurBatchSize` -

  - ### getWorkerBulkSize

    public static int getWorkerBulkSize()
    Getter for worker bulk size
    Returns:
      getWorkerBulkSize

  - ### setWorkerBulkSize

    public static void setWorkerBulkSize(int workerBulkSize)
    Setter worker bulk size
    Parameters:
      `workerBulkSize` -

  - ### getRestoreBulkSize

    public static int getRestoreBulkSize()
    Getter restore bulk size
    Returns:
      restoreBulkSize

  - ### setRestoreBulkSize

    public static void setRestoreBulkSize(int restoreBulkSize)
    Setter restore bulk size
    Parameters:
      `restoreBulkSize` -

  - ### getCacheControlDelay

    public static int getCacheControlDelay()
    Getter for cacheControlDelay;
    Returns:
      cacheControlDelay

  - ### setCacheControlDelay

    public static void setCacheControlDelay(int cacheControlDelay)
    Setter for cacheControlDelay;
    Parameters:
      `cacheControlDelay` -

  - ### getMaxCacheEntries

    public static int getMaxCacheEntries()
    Getter for maxCacheEntries;
    Returns:
      maxCacheEntries

  - ### setMaxCacheEntries

    public static void setMaxCacheEntries(int maxCacheEntries)
    Setter for maxCacheEntries;
    Parameters:
      `maxCacheEntries` -

  - ### getExpireCacheEntriesDelay

    public static int getExpireCacheEntriesDelay()
    Setter for expireCacheEntriesDelay
    Returns:
      expireCacheEntriesDelay

  - ### setExpireCacheEntriesDelay

    public static void setExpireCacheEntriesDelay(int expireCacheEntriesDelay)
    Getter for expireCacheEntriesDelay
    Parameters:
      `expireCacheEntriesDelay` -

  - ### isExportScore

    public static boolean isExportScore()
    Getter for exportScore;
    Returns:
      exportScore

  - ### getMaxElasticsearchBulk

    public static int getMaxElasticsearchBulk()
    Getter for maxElasticsearchBulk;
    Returns:
      maxElasticsearchBulk

  - ### getNumberDbClientThread

    public static int getNumberDbClientThread()
    Getter for numberDbClientThread;
    Returns:
      numberDbClientThread

  - ### getNumberEsQueue

    public static Integer getNumberEsQueue()
    Getter for numberEsQueue;
    Returns:
      numberEsQueue

  - ### getDistributionThreshold

    public static long getDistributionThreshold()
    Getter for distributionThreshold;
    Returns:
      distributionThreshold

  - ### setDistributionThreshold

    public static void setDistributionThreshold(long distributionThreshold)
    Setter for distributionThreshold;
    Parameters:
      `distributionThreshold` -

  - ### getQueriesThreshold

    public static long getQueriesThreshold()
    Getter for queriesThreshold;
    Returns:
      queriesThreshold

  - ### setQueriesThreshold

    public static void setQueriesThreshold(long queriesThreshold)
    Setter for queriesThreshold;
    Parameters:
      `queriesThreshold` -

  - ### getBulkAtomicUpdateBatchSize

    public static int getBulkAtomicUpdateBatchSize()

  - ### setBulkAtomicUpdateBatchSize

    public static void setBulkAtomicUpdateBatchSize(int bulkAtomicUpdateBatchSize)

  - ### getBulkAtomicUpdateThreadPoolSize

    public static int getBulkAtomicUpdateThreadPoolSize()

  - ### setBulkAtomicUpdateThreadPoolSize

    public static void setBulkAtomicUpdateThreadPoolSize(int bulkAtomicUpdateThreadPoolSize)

  - ### getBulkAtomicUpdateThreadPoolQueueSize

    public static int getBulkAtomicUpdateThreadPoolQueueSize()

  - ### setBulkAtomicUpdateThreadPoolQueueSize

    public static void setBulkAtomicUpdateThreadPoolQueueSize(int bulkAtomicUpdateThreadPoolQueueSize)

  - ### getEliminationAnalysisThreshold

    public static long getEliminationAnalysisThreshold()

  - ### setEliminationAnalysisThreshold

    public static void setEliminationAnalysisThreshold(long eliminationAnalysisThreshold)

  - ### getEliminationActionThreshold

    public static long getEliminationActionThreshold()

  - ### setEliminationActionThreshold

    public static void setEliminationActionThreshold(long eliminationActionThreshold)
    Parameters:
      `eliminationActionThreshold` -

  - ### getComputedInheritedRulesThreshold

    public static long getComputedInheritedRulesThreshold()

  - ### setComputedInheritedRulesThreshold

    public static void setComputedInheritedRulesThreshold(long computedInheritedRulesThreshold)

  - ### getOperationMaxSizeForExternal

    public static long getOperationMaxSizeForExternal()
    Returns:
      operationMaxSizeForExternal

  - ### setOperationMaxSizeForExternal

    public static void setOperationMaxSizeForExternal(long operationMaxSizeForExternal)
    Parameters:
      `operationMaxSizeForExternal` -

  - ### getDefaultOriginatingAgencyForExport

    public static String getDefaultOriginatingAgencyForExport(Integer tenant)
    Getter for default OriginatingAgency for DIP export OriginatingAgency conflict
    Returns:
      default originatingAgency for export

  - ### setDefaultOriginatingAgencyByTenant

    public static void setDefaultOriginatingAgencyByTenant(Map<Integer,String> defaultOriginatingAgencyForExport)
    Setter for default OriginatingAgency for DIP export OriginatingAgency conflict
    Parameters:
      `defaultOriginatingAgencyForExport` - originatingAgency for export

  - ### setVitamDefaultTransferringAgency

    public static void setVitamDefaultTransferringAgency(String vitamDefaultTransferringAgency)

  - ### getVitamDefaultTransferringAgency

    public static String getVitamDefaultTransferringAgency()

  - ### getVitamDefaultCodeListVersion

    public static Map<String,String> getVitamDefaultCodeListVersion()

  - ### setVitamDefaultCodeListVersion

    public static void setVitamDefaultCodeListVersion(Map<String,String> vitamDefaultCodeListVersion)

  - ### getMaxResultWindow

    public static int getMaxResultWindow()
    Get the maxResultWindow
    Returns:
      maxResultWindow

  - ### setMaxResultWindow

    public static void setMaxResultWindow(int maxResultWindow)
    Set the maxResultWindow
    Parameters:
      `maxResultWindow` -

  - ### getBatchSize

    public static int getBatchSize()
    Get the batchSize.
    Returns:
      batchSize

  - ### getStoreGraphElementsPerFile

    public static int getStoreGraphElementsPerFile()
    Get the store graph elements per file
    Returns:
      storeGraphElementsPerFile

  - ### setStoreGraphElementsPerFile

    public static void setStoreGraphElementsPerFile(Integer storeGraphElementsPerFile)
    Set store graph elements per file
    Parameters:
      `storeGraphElementsPerFile` -

  - ### getStoreGraphOverlapDelay

    public static Integer getStoreGraphOverlapDelay()
    Get store graph overlap delay
    Returns:
      storeGraphOverlapDelay

  - ### setStoreGraphOverlapDelay

    public static void setStoreGraphOverlapDelay(Integer storeGraphOverlapDelay)
    Set store graph overlap delay
    Parameters:
      `storeGraphOverlapDelay` -

  - ### getDeleteIncompleteReconstructedUnitDelay

    public static int getDeleteIncompleteReconstructedUnitDelay()
    Get the delay of deleting incomplete reconstructed units
    Returns:
      deleteIncompleteReconstructedUnitDelay

  - ### setDeleteIncompleteReconstructedUnitDelay

    public static void setDeleteIncompleteReconstructedUnitDelay(int deleteIncompleteReconstructedUnitDelay)
    Set the delay of deleting incomplete reconstructed units
    Parameters:
      `deleteIncompleteReconstructedUnitDelay` -

  - ### getOptimisticLockRetryNumber

    public static int getOptimisticLockRetryNumber()
    Get optimistic lock retry number
    Returns:
      optimisticLockRetryNumber

  - ### setOptimisticLockRetryNumber

    public static void setOptimisticLockRetryNumber(int optimisticLockRetryNumber)
    Set optimistic lock retry number
    Parameters:
      `optimisticLockRetryNumber` -

  - ### getOptimisticLockSleepTime

    public static int getOptimisticLockSleepTime()
    Get optimistic lock sleep time
    Returns:
      optimisticLockSleepTime

  - ### setOptimisticLockSleepTime

    public static void setOptimisticLockSleepTime(int optimisticLockSleepTime)
    Set optimistic lock sleep time
    Parameters:
      `optimisticLockSleepTime` -

  - ### getKeywordMaxLength

    public static int getKeywordMaxLength()
    Getter
    Returns:
      keywordMaxLength

  - ### setKeywordMaxLength

    public static void setKeywordMaxLength(int keywordMaxLength)
    Setter
    Parameters:
      `keywordMaxLength` -

  - ### getTextMaxLength

    public static int getTextMaxLength()
    Getter
    Returns:
      textMaxLength

  - ### setTextMaxLength

    public static void setTextMaxLength(int textMaxLength)
    Setter
    Parameters:
      `textMaxLength` -

  - ### getDefaultOffset

    public static int getDefaultOffset()
    Get defaultOffset
    Returns:
      defaultOffset

  - ### setBatchSize

    public static void setBatchSize(int batchSize)
    Set the batchSize.
    Parameters:
      `batchSize` -

  - ### getSwiftFileLimit

    public static long getSwiftFileLimit()

  - ### getMigrationBulkSize

    public static int getMigrationBulkSize()
    Get migrationBulkSize
    Returns:
      migrationBulkSize

  - ### setMigrationBulkSize

    public static void setMigrationBulkSize(int migrationBulkSize)
    Set the migrationBulkSize
    Parameters:
      `migrationBulkSize` -

  - ### getWorkspaceWorkflowsFolder

    public static String getWorkspaceWorkflowsFolder()

  - ### setWorkspaceWorkflowsFolder

    public static void setWorkspaceWorkflowsFolder(String workspaceWorkflowsFolder)

  - ### getBinarySizePlatformThreshold

    public static BinarySizePlatformThreshold getBinarySizePlatformThreshold()

  - ### setBinarySizePlatformThreshold

    public static void setBinarySizePlatformThreshold(BinarySizePlatformThreshold binarySizePlatformThreshold)

  - ### getBinarySizeTenantThreshold

    public static List<BinarySizeTenantThreshold> getBinarySizeTenantThreshold()

  - ### setBinarySizeTenantThreshold

    public static void setBinarySizeTenantThreshold(List<BinarySizeTenantThreshold> binarySizeTenantThreshold)

  - ### getEnvironmentName

    public static String getEnvironmentName()
    Get environmentName
    Returns:
      environmentName value

  - ### setEnvironmentName

    public static void setEnvironmentName(String environmentName)
    set the environmentName

  - ### getReclassificationMaxBulkThreshold

    public static int getReclassificationMaxBulkThreshold()
    Max dsl queries per reclassification request

  - ### setReclassificationMaxBulkThreshold

    public static void setReclassificationMaxBulkThreshold(int reclassificationMaxBulkThreshold)
    Max dsl queries per reclassification request

  - ### getReclassificationMaxUnitsThreshold

    public static int getReclassificationMaxUnitsThreshold()
    Max units to update per reclassification request

  - ### setReclassificationMaxUnitsThreshold

    public static void setReclassificationMaxUnitsThreshold(int reclassificationMaxUnitsThreshold)
    Max units to update per reclassification request

  - ### getReclassificationMaxGuildListSizeInLogbookOperation

    public static int getReclassificationMaxGuildListSizeInLogbookOperation()
    Max guid to store in logbook operation in evDetData

  - ### setReclassificationMaxGuildListSizeInLogbookOperation

    public static void setReclassificationMaxGuildListSizeInLogbookOperation(int reclassificationMaxGuildListSizeInLogbookOperation)
    Max guid to store in logbook operation in evDetData

  - ### getClassificationLevel

    public static ClassificationLevel getClassificationLevel()

  - ### setClassificationLevel

    public static void setClassificationLevel(ClassificationLevel classificationLevel)

  - ### getVitamGriffinExecFolder

    public static String getVitamGriffinExecFolder()

  - ### setVitamGriffinExecFolder

    public static void setVitamGriffinExecFolder(String vitamGriffinExecFolder)

  - ### getVitamGriffinInputFilesFolder

    public static String getVitamGriffinInputFilesFolder()

  - ### setVitamGriffinInputFilesFolder

    public static void setVitamGriffinInputFilesFolder(String vitamGriffinInputFilesFolder)

  - ### getIndexInheritedRulesWithRulesIdByTenant

    public static List<String> getIndexInheritedRulesWithRulesIdByTenant()

  - ### setIndexInheritedRulesWithRulesIdByTenant

    public static void setIndexInheritedRulesWithRulesIdByTenant(List<String> indexInheritedRulesWithRulesIdByTenant)

  - ### getIndexInheritedRulesWithAPIV2OutputByTenant

    public static List<String> getIndexInheritedRulesWithAPIV2OutputByTenant()

  - ### setIndexInheritedRulesWithAPIV2OutputByTenant

    public static void setIndexInheritedRulesWithAPIV2OutputByTenant(List<String> indexInheritedRulesWithAPIV2OutputByTenant)

  - ### getElasticSearchScrollTimeoutInMilliseconds

    public static Integer getElasticSearchScrollTimeoutInMilliseconds()

  - ### setElasticSearchScrollTimeoutInMilliseconds

    public static void setElasticSearchScrollTimeoutInMilliseconds(Integer elasticSearchScrollTimeoutInMilliseconds)

  - ### getElasticSearchTimeoutWaitRequestInMilliseconds

    public static Integer getElasticSearchTimeoutWaitRequestInMilliseconds()

  - ### setElasticSearchTimeoutWaitRequestInMilliseconds

    public static void setElasticSearchTimeoutWaitRequestInMilliseconds(Integer elasticSearchTimeoutWaitRequestInMilliseconds)

  - ### getElasticSearchScrollLimit

    public static Integer getElasticSearchScrollLimit()

  - ### setElasticSearchScrollLimit

    public static void setElasticSearchScrollLimit(Integer elasticSearchScrollLimit)

  - ### getEliminationReportExtraFields

    public static Map<Integer,List<String>> getEliminationReportExtraFields()

  - ### setEliminationReportExtraFields

    public static void setEliminationReportExtraFields(Map<Integer,List<String>> eliminationReportExtraFields)

  - ### getIngestReportUnitExtraFields

    public static Map<Integer,List<EnumUnitWhiteListedFields>> getIngestReportUnitExtraFields()

  - ### setIngestReportUnitExtraFields

    public static void setIngestReportUnitExtraFields(Map<Integer,List<EnumUnitWhiteListedFields>> ingestReportUnitExtraFields)

  - ### getIngestReportObjectExtraFields

    public static Map<Integer,List<EnumObjectWhiteListedFields>> getIngestReportObjectExtraFields()

  - ### setIngestReportObjectExtraFields

    public static void setIngestReportObjectExtraFields(Map<Integer,List<EnumObjectWhiteListedFields>> ingestReportObjectExtraFields)

  - ### isIgnoreAntivirusCheckForWorker

    public static boolean isIgnoreAntivirusCheckForWorker()

  - ### setIgnoreAntivirusCheckForWorker

    public static void setIgnoreAntivirusCheckForWorker(boolean ignoreAntivirusCheckForWorker)

  - ### getDiffVersion

    public static short getDiffVersion()